
---
events:
  -
    kind: "message-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/CMakeDetermineSystem.cmake:233 (message)"
      - "CMakeLists.txt:7 (project)"
    message: |
      The system is: Windows - 10.0.26200 - AMD64
  -
    kind: "message-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:7 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
      Compiler:  
      Build flags: 
      Id flags:  
      
      The output was:
      0
      閫傜敤浜?.NET Framework MSBuild 鐗堟湰 17.14.23+b0019275e
      鐢熸垚鍚姩鏃堕棿涓?2026/7/11 1:31:41銆?
      
      鑺傜偣 1 涓婄殑椤圭洰鈥淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\3.28.6\\CompilerIdCXX\\CompilerIdCXX.vcxproj鈥?榛樿鐩爣)銆?
      PrepareForBuild:
        姝ｅ湪鍒涘缓鐩綍鈥淒ebug\\鈥濄€?
        宸插惎鐢ㄧ粨鏋勫寲杈撳嚭銆傜紪璇戝櫒璇婃柇鐨勬牸寮忚缃皢鍙嶆槧閿欒灞傛缁撴瀯銆傛湁鍏宠缁嗕俊鎭紝璇峰弬闃?https://aka.ms/cpp/structured-output銆?
        姝ｅ湪鍒涘缓鐩綍鈥淒ebug\\CompilerIdCXX.tlog\\鈥濄€?
      InitializeBuildStatus:
        姝ｅ湪鍒涘缓鈥淒ebug\\CompilerIdCXX.tlog\\unsuccessfulbuild鈥濓紝鍥犱负宸叉寚瀹氣€淎lwaysCreate鈥濄€?
        姝ｅ湪瀵光€淒ebug\\CompilerIdCXX.tlog\\unsuccessfulbuild鈥濇墽琛?Touch 浠诲姟銆?
      ClCompile:
        C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.44.35207\\bin\\HostX64\\x64\\CL.exe /c /nologo /W0 /WX- /diagnostics:column /Od /D _MBCS /Gm- /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /Fo"Debug\\\\" /Fd"Debug\\vc143.pdb" /external:W0 /Gd /TP /FC /errorReport:queue CMakeCXXCompilerId.cpp
        CMakeCXXCompilerId.cpp
      Link:
        C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.44.35207\\bin\\HostX64\\x64\\link.exe /ERRORREPORT:QUEUE /OUT:".\\CompilerIdCXX.exe" /INCREMENTAL:NO /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /PDB:".\\CompilerIdCXX.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:".\\CompilerIdCXX.lib" /MACHINE:X64 Debug\\CMakeCXXCompilerId.obj
        CompilerIdCXX.vcxproj -> D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\3.28.6\\CompilerIdCXX\\CompilerIdCXX.exe
      PostBuildEvent:
        for %%i in (cl.exe) do @echo CMAKE_CXX_COMPILER=%%~$PATH:i
        :VCEnd
        CMAKE_CXX_COMPILER=C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.44.35207\\bin\\Hostx64\\x64\\cl.exe
      FinalizeBuildStatus:
        姝ｅ湪鍒犻櫎鏂囦欢鈥淒ebug\\CompilerIdCXX.tlog\\unsuccessfulbuild鈥濄€?
        姝ｅ湪瀵光€淒ebug\\CompilerIdCXX.tlog\\CompilerIdCXX.lastbuildstate鈥濇墽琛?Touch 浠诲姟銆?
      宸插畬鎴愮敓鎴愰」鐩€淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\3.28.6\\CompilerIdCXX\\CompilerIdCXX.vcxproj鈥?榛樿鐩爣)鐨勬搷浣溿€?
      
      宸叉垚鍔熺敓鎴愩€?
          0 涓鍛?
          0 涓敊璇?
      
      宸茬敤鏃堕棿 00:00:00.48
      
      
      Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "CompilerIdCXX.exe"
      
      Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "CompilerIdCXX.vcxproj"
      
      The CXX compiler identification is MSVC, found in:
        D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/3.28.6/CompilerIdCXX/CompilerIdCXX.exe
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerABI.cmake:60 (try_compile)"
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:7 (project)"
    checks:
      - "Detecting CXX compiler ABI info"
    directories:
      source: "D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-myb7s8"
      binary: "D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-myb7s8"
    cmakeVariables:
      CMAKE_CXX_FLAGS: "/DWIN32 /D_WINDOWS /EHsc"
      CMAKE_CXX_FLAGS_DEBUG: "/Zi /Ob0 /Od /RTC1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: "/machine:x64"
    buildResult:
      variable: "CMAKE_CXX_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: 'D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-myb7s8'
        
        Run Build Command(s): "C:/Program Files/Microsoft Visual Studio/2022/Community/MSBuild/Current/Bin/amd64/MSBuild.exe" cmTC_52192.vcxproj /p:Configuration=Debug /p:Platform=x64 /p:VisualStudioVersion=17.0 /v:n
        閫傜敤浜?.NET Framework MSBuild 鐗堟湰 17.14.23+b0019275e
        鐢熸垚鍚姩鏃堕棿涓?2026/7/11 1:31:42銆?
        
        鑺傜偣 1 涓婄殑椤圭洰鈥淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-myb7s8\\cmTC_52192.vcxproj鈥?榛樿鐩爣)銆?
        PrepareForBuild:
          姝ｅ湪鍒涘缓鐩綍鈥渃mTC_52192.dir\\Debug\\鈥濄€?
          宸插惎鐢ㄧ粨鏋勫寲杈撳嚭銆傜紪璇戝櫒璇婃柇鐨勬牸寮忚缃皢鍙嶆槧閿欒灞傛缁撴瀯銆傛湁鍏宠缁嗕俊鎭紝璇峰弬闃?https://aka.ms/cpp/structured-output銆?
          姝ｅ湪鍒涘缓鐩綍鈥淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-myb7s8\\Debug\\鈥濄€?
          姝ｅ湪鍒涘缓鐩綍鈥渃mTC_52192.dir\\Debug\\cmTC_52192.tlog\\鈥濄€?
        InitializeBuildStatus:
          姝ｅ湪鍒涘缓鈥渃mTC_52192.dir\\Debug\\cmTC_52192.tlog\\unsuccessfulbuild鈥濓紝鍥犱负宸叉寚瀹氣€淎lwaysCreate鈥濄€?
          姝ｅ湪瀵光€渃mTC_52192.dir\\Debug\\cmTC_52192.tlog\\unsuccessfulbuild鈥濇墽琛?Touch 浠诲姟銆?
        ClCompile:
          C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.44.35207\\bin\\HostX64\\x64\\CL.exe /c /Zi /W1 /WX- /diagnostics:column /Od /Ob0 /D _MBCS /D WIN32 /D _WINDOWS /D "CMAKE_INTDIR=\\"Debug\\"" /Gm- /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /Fo"cmTC_52192.dir\\Debug\\\\" /Fd"cmTC_52192.dir\\Debug\\vc143.pdb" /external:W1 /Gd /TP /errorReport:queue "C:\\Program Files\\CMake\\share\\cmake-3.28\\Modules\\CMakeCXXCompilerABI.cpp"
          鐢ㄤ簬 x64 鐨?Microsoft (R) C/C++ 浼樺寲缂栬瘧鍣?19.44.35221 鐗?
          鐗堟潈鎵€鏈?C) Microsoft Corporation銆備繚鐣欐墍鏈夋潈鍒┿€?
          cl /c /Zi /W1 /WX- /diagnostics:column /Od /Ob0 /D _MBCS /D WIN32 /D _WINDOWS /D "CMAKE_INTDIR=\\"Debug\\"" /Gm- /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /Fo"cmTC_52192.dir\\Debug\\\\" /Fd"cmTC_52192.dir\\Debug\\vc143.pdb" /external:W1 /Gd /TP /errorReport:queue "C:\\Program Files\\CMake\\share\\cmake-3.28\\Modules\\CMakeCXXCompilerABI.cpp"
          CMakeCXXCompilerABI.cpp
        Link:
          C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.44.35207\\bin\\HostX64\\x64\\link.exe /ERRORREPORT:QUEUE /OUT:"D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-myb7s8\\Debug\\cmTC_52192.exe" /INCREMENTAL /ILK:"cmTC_52192.dir\\Debug\\cmTC_52192.ilk" /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-myb7s8/Debug/cmTC_52192.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-myb7s8/Debug/cmTC_52192.lib" /MACHINE:X64  /machine:x64 cmTC_52192.dir\\Debug\\CMakeCXXCompilerABI.obj
          cmTC_52192.vcxproj -> D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-myb7s8\\Debug\\cmTC_52192.exe
        FinalizeBuildStatus:
          姝ｅ湪鍒犻櫎鏂囦欢鈥渃mTC_52192.dir\\Debug\\cmTC_52192.tlog\\unsuccessfulbuild鈥濄€?
          姝ｅ湪瀵光€渃mTC_52192.dir\\Debug\\cmTC_52192.tlog\\cmTC_52192.lastbuildstate鈥濇墽琛?Touch 浠诲姟銆?
        宸插畬鎴愮敓鎴愰」鐩€淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-myb7s8\\cmTC_52192.vcxproj鈥?榛樿鐩爣)鐨勬搷浣溿€?
        
        宸叉垚鍔熺敓鎴愩€?
            0 涓鍛?
            0 涓敊璇?
        
        宸茬敤鏃堕棿 00:00:00.49
        
      exitCode: 0
...

---
events:
  -
    kind: "try_compile-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/CheckCXXSourceCompiles.cmake:52 (cmake_check_source_compiles)"
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/FindThreads.cmake:99 (CHECK_CXX_SOURCE_COMPILES)"
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/FindThreads.cmake:163 (_threads_check_libc)"
      - "D:/Program Files/VTK/lib/cmake/vtk-9.6/VTK-vtk-module-find-packages.cmake:121 (find_package)"
      - "D:/Program Files/VTK/lib/cmake/vtk-9.6/vtk-config.cmake:171 (include)"
      - "CMakeLists.txt:22 (find_package)"
    checks:
      - "Performing Test CMAKE_HAVE_LIBC_PTHREAD"
    directories:
      source: "D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-acxoit"
      binary: "D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-acxoit"
    cmakeVariables:
      CMAKE_CXX_FLAGS: "/DWIN32 /D_WINDOWS /EHsc"
      CMAKE_CXX_FLAGS_DEBUG: "/Zi /Ob0 /Od /RTC1"
      CMAKE_EXE_LINKER_FLAGS: "/machine:x64"
      CMAKE_MODULE_PATH: "D:/Program Files/VTK/lib/cmake/vtk-9.6/patches/99;D:/Program Files/VTK/lib/cmake/vtk-9.6/patches/4.3;D:/Program Files/VTK/lib/cmake/vtk-9.6"
    buildResult:
      variable: "CMAKE_HAVE_LIBC_PTHREAD"
      cached: true
      stdout: |
        Change Dir: 'D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-acxoit'
        
        Run Build Command(s): "C:/Program Files/Microsoft Visual Studio/2022/Community/MSBuild/Current/Bin/amd64/MSBuild.exe" cmTC_a8637.vcxproj /p:Configuration=Debug /p:Platform=x64 /p:VisualStudioVersion=17.0 /v:n
        閫傜敤浜?.NET Framework MSBuild 鐗堟湰 17.14.23+b0019275e
        鐢熸垚鍚姩鏃堕棿涓?2026/7/11 1:32:26銆?
        
        鑺傜偣 1 涓婄殑椤圭洰鈥淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-acxoit\\cmTC_a8637.vcxproj鈥?榛樿鐩爣)銆?
        PrepareForBuild:
          姝ｅ湪鍒涘缓鐩綍鈥渃mTC_a8637.dir\\Debug\\鈥濄€?
          宸插惎鐢ㄧ粨鏋勫寲杈撳嚭銆傜紪璇戝櫒璇婃柇鐨勬牸寮忚缃皢鍙嶆槧閿欒灞傛缁撴瀯銆傛湁鍏宠缁嗕俊鎭紝璇峰弬闃?https://aka.ms/cpp/structured-output銆?
          姝ｅ湪鍒涘缓鐩綍鈥淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-acxoit\\Debug\\鈥濄€?
          姝ｅ湪鍒涘缓鐩綍鈥渃mTC_a8637.dir\\Debug\\cmTC_a8637.tlog\\鈥濄€?
        InitializeBuildStatus:
          姝ｅ湪鍒涘缓鈥渃mTC_a8637.dir\\Debug\\cmTC_a8637.tlog\\unsuccessfulbuild鈥濓紝鍥犱负宸叉寚瀹氣€淎lwaysCreate鈥濄€?
          姝ｅ湪瀵光€渃mTC_a8637.dir\\Debug\\cmTC_a8637.tlog\\unsuccessfulbuild鈥濇墽琛?Touch 浠诲姟銆?
        ClCompile:
          C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.44.35207\\bin\\HostX64\\x64\\CL.exe /c /Zi /W1 /WX- /diagnostics:column /Od /Ob0 /D _MBCS /D WIN32 /D _WINDOWS /D CMAKE_HAVE_LIBC_PTHREAD /D "CMAKE_INTDIR=\\"Debug\\"" /Gm- /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /std:c++17 /Fo"cmTC_a8637.dir\\Debug\\\\" /Fd"cmTC_a8637.dir\\Debug\\vc143.pdb" /external:W1 /Gd /TP /errorReport:queue "D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-acxoit\\src.cxx"
          鐢ㄤ簬 x64 鐨?Microsoft (R) C/C++ 浼樺寲缂栬瘧鍣?19.44.35221 鐗?
          鐗堟潈鎵€鏈?C) Microsoft Corporation銆備繚鐣欐墍鏈夋潈鍒┿€?
          cl /c /Zi /W1 /WX- /diagnostics:column /Od /Ob0 /D _MBCS /D WIN32 /D _WINDOWS /D CMAKE_HAVE_LIBC_PTHREAD /D "CMAKE_INTDIR=\\"Debug\\"" /Gm- /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /std:c++17 /Fo"cmTC_a8637.dir\\Debug\\\\" /Fd"cmTC_a8637.dir\\Debug\\vc143.pdb" /external:W1 /Gd /TP /errorReport:queue "D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-acxoit\\src.cxx"
          src.cxx
        D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-acxoit\\src.cxx(1,10): error C1083: 鏃犳硶鎵撳紑鍖呮嫭鏂囦欢: 鈥減thread.h鈥? No such file or directory [D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-acxoit\\cmTC_a8637.vcxproj]
        宸插畬鎴愮敓鎴愰」鐩€淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-acxoit\\cmTC_a8637.vcxproj鈥?榛樿鐩爣)鐨勬搷浣?- 澶辫触銆?
        
        鐢熸垚澶辫触銆?
        
        鈥淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-acxoit\\cmTC_a8637.vcxproj鈥?榛樿鐩爣) (1) ->
        (ClCompile 鐩爣) -> 
          D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-acxoit\\src.cxx(1,10): error C1083: 鏃犳硶鎵撳紑鍖呮嫭鏂囦欢: 鈥減thread.h鈥? No such file or directory [D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-acxoit\\cmTC_a8637.vcxproj]
        
            0 涓鍛?
            1 涓敊璇?
        
        宸茬敤鏃堕棿 00:00:00.32
        
      exitCode: 1
  -
    kind: "try_compile-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/CheckLibraryExists.cmake:69 (try_compile)"
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/FindThreads.cmake:112 (CHECK_LIBRARY_EXISTS)"
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/FindThreads.cmake:175 (_threads_check_lib)"
      - "D:/Program Files/VTK/lib/cmake/vtk-9.6/VTK-vtk-module-find-packages.cmake:121 (find_package)"
      - "D:/Program Files/VTK/lib/cmake/vtk-9.6/vtk-config.cmake:171 (include)"
      - "CMakeLists.txt:22 (find_package)"
    checks:
      - "Looking for pthread_create in pthreads"
    directories:
      source: "D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-6yilrz"
      binary: "D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-6yilrz"
    cmakeVariables:
      CMAKE_CXX_FLAGS: "/DWIN32 /D_WINDOWS /EHsc"
      CMAKE_CXX_FLAGS_DEBUG: "/Zi /Ob0 /Od /RTC1"
      CMAKE_EXE_LINKER_FLAGS: "/machine:x64"
      CMAKE_MODULE_PATH: "D:/Program Files/VTK/lib/cmake/vtk-9.6/patches/99;D:/Program Files/VTK/lib/cmake/vtk-9.6/patches/4.3;D:/Program Files/VTK/lib/cmake/vtk-9.6"
    buildResult:
      variable: "CMAKE_HAVE_PTHREADS_CREATE"
      cached: true
      stdout: |
        Change Dir: 'D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-6yilrz'
        
        Run Build Command(s): "C:/Program Files/Microsoft Visual Studio/2022/Community/MSBuild/Current/Bin/amd64/MSBuild.exe" cmTC_d2aae.vcxproj /p:Configuration=Debug /p:Platform=x64 /p:VisualStudioVersion=17.0 /v:n
        閫傜敤浜?.NET Framework MSBuild 鐗堟湰 17.14.23+b0019275e
        鐢熸垚鍚姩鏃堕棿涓?2026/7/11 1:32:27銆?
        
        鑺傜偣 1 涓婄殑椤圭洰鈥淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-6yilrz\\cmTC_d2aae.vcxproj鈥?榛樿鐩爣)銆?
        PrepareForBuild:
          姝ｅ湪鍒涘缓鐩綍鈥渃mTC_d2aae.dir\\Debug\\鈥濄€?
          宸插惎鐢ㄧ粨鏋勫寲杈撳嚭銆傜紪璇戝櫒璇婃柇鐨勬牸寮忚缃皢鍙嶆槧閿欒灞傛缁撴瀯銆傛湁鍏宠缁嗕俊鎭紝璇峰弬闃?https://aka.ms/cpp/structured-output銆?
          姝ｅ湪鍒涘缓鐩綍鈥淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-6yilrz\\Debug\\鈥濄€?
          姝ｅ湪鍒涘缓鐩綍鈥渃mTC_d2aae.dir\\Debug\\cmTC_d2aae.tlog\\鈥濄€?
        InitializeBuildStatus:
          姝ｅ湪鍒涘缓鈥渃mTC_d2aae.dir\\Debug\\cmTC_d2aae.tlog\\unsuccessfulbuild鈥濓紝鍥犱负宸叉寚瀹氣€淎lwaysCreate鈥濄€?
          姝ｅ湪瀵光€渃mTC_d2aae.dir\\Debug\\cmTC_d2aae.tlog\\unsuccessfulbuild鈥濇墽琛?Touch 浠诲姟銆?
        ClCompile:
          C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.44.35207\\bin\\HostX64\\x64\\CL.exe /c /Zi /W1 /WX- /diagnostics:column /Od /Ob0 /D _MBCS /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=pthread_create /D "CMAKE_INTDIR=\\"Debug\\"" /Gm- /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /std:c++17 /Fo"cmTC_d2aae.dir\\Debug\\\\" /Fd"cmTC_d2aae.dir\\Debug\\vc143.pdb" /external:W1 /Gd /TP /errorReport:queue "D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-6yilrz\\CheckFunctionExists.cxx"
          鐢ㄤ簬 x64 鐨?Microsoft (R) C/C++ 浼樺寲缂栬瘧鍣?19.44.35221 鐗?
          鐗堟潈鎵€鏈?C) Microsoft Corporation銆備繚鐣欐墍鏈夋潈鍒┿€?
          cl /c /Zi /W1 /WX- /diagnostics:column /Od /Ob0 /D _MBCS /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=pthread_create /D "CMAKE_INTDIR=\\"Debug\\"" /Gm- /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /std:c++17 /Fo"cmTC_d2aae.dir\\Debug\\\\" /Fd"cmTC_d2aae.dir\\Debug\\vc143.pdb" /external:W1 /Gd /TP /errorReport:queue "D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-6yilrz\\CheckFunctionExists.cxx"
          CheckFunctionExists.cxx
        Link:
          C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.44.35207\\bin\\HostX64\\x64\\link.exe /ERRORREPORT:QUEUE /OUT:"D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-6yilrz\\Debug\\cmTC_d2aae.exe" /INCREMENTAL /ILK:"cmTC_d2aae.dir\\Debug\\cmTC_d2aae.ilk" /NOLOGO pthreads.lib kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-6yilrz/Debug/cmTC_d2aae.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-6yilrz/Debug/cmTC_d2aae.lib" /MACHINE:X64  /machine:x64 cmTC_d2aae.dir\\Debug\\CheckFunctionExists.obj
        LINK : fatal error LNK1104: 鏃犳硶鎵撳紑鏂囦欢鈥減threads.lib鈥?[D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-6yilrz\\cmTC_d2aae.vcxproj]
        宸插畬鎴愮敓鎴愰」鐩€淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-6yilrz\\cmTC_d2aae.vcxproj鈥?榛樿鐩爣)鐨勬搷浣?- 澶辫触銆?
        
        鐢熸垚澶辫触銆?
        
        鈥淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-6yilrz\\cmTC_d2aae.vcxproj鈥?榛樿鐩爣) (1) ->
        (Link 鐩爣) -> 
          LINK : fatal error LNK1104: 鏃犳硶鎵撳紑鏂囦欢鈥減threads.lib鈥?[D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-6yilrz\\cmTC_d2aae.vcxproj]
        
            0 涓鍛?
            1 涓敊璇?
        
        宸茬敤鏃堕棿 00:00:00.40
        
      exitCode: 1
  -
    kind: "try_compile-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/CheckLibraryExists.cmake:69 (try_compile)"
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/FindThreads.cmake:112 (CHECK_LIBRARY_EXISTS)"
      - "C:/Program Files/CMake/share/cmake-3.28/Modules/FindThreads.cmake:176 (_threads_check_lib)"
      - "D:/Program Files/VTK/lib/cmake/vtk-9.6/VTK-vtk-module-find-packages.cmake:121 (find_package)"
      - "D:/Program Files/VTK/lib/cmake/vtk-9.6/vtk-config.cmake:171 (include)"
      - "CMakeLists.txt:22 (find_package)"
    checks:
      - "Looking for pthread_create in pthread"
    directories:
      source: "D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-h18ebw"
      binary: "D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-h18ebw"
    cmakeVariables:
      CMAKE_CXX_FLAGS: "/DWIN32 /D_WINDOWS /EHsc"
      CMAKE_CXX_FLAGS_DEBUG: "/Zi /Ob0 /Od /RTC1"
      CMAKE_EXE_LINKER_FLAGS: "/machine:x64"
      CMAKE_MODULE_PATH: "D:/Program Files/VTK/lib/cmake/vtk-9.6/patches/99;D:/Program Files/VTK/lib/cmake/vtk-9.6/patches/4.3;D:/Program Files/VTK/lib/cmake/vtk-9.6"
    buildResult:
      variable: "CMAKE_HAVE_PTHREAD_CREATE"
      cached: true
      stdout: |
        Change Dir: 'D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-h18ebw'
        
        Run Build Command(s): "C:/Program Files/Microsoft Visual Studio/2022/Community/MSBuild/Current/Bin/amd64/MSBuild.exe" cmTC_0141a.vcxproj /p:Configuration=Debug /p:Platform=x64 /p:VisualStudioVersion=17.0 /v:n
        閫傜敤浜?.NET Framework MSBuild 鐗堟湰 17.14.23+b0019275e
        鐢熸垚鍚姩鏃堕棿涓?2026/7/11 1:32:27銆?
        
        鑺傜偣 1 涓婄殑椤圭洰鈥淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-h18ebw\\cmTC_0141a.vcxproj鈥?榛樿鐩爣)銆?
        PrepareForBuild:
          姝ｅ湪鍒涘缓鐩綍鈥渃mTC_0141a.dir\\Debug\\鈥濄€?
          宸插惎鐢ㄧ粨鏋勫寲杈撳嚭銆傜紪璇戝櫒璇婃柇鐨勬牸寮忚缃皢鍙嶆槧閿欒灞傛缁撴瀯銆傛湁鍏宠缁嗕俊鎭紝璇峰弬闃?https://aka.ms/cpp/structured-output銆?
          姝ｅ湪鍒涘缓鐩綍鈥淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-h18ebw\\Debug\\鈥濄€?
          姝ｅ湪鍒涘缓鐩綍鈥渃mTC_0141a.dir\\Debug\\cmTC_0141a.tlog\\鈥濄€?
        InitializeBuildStatus:
          姝ｅ湪鍒涘缓鈥渃mTC_0141a.dir\\Debug\\cmTC_0141a.tlog\\unsuccessfulbuild鈥濓紝鍥犱负宸叉寚瀹氣€淎lwaysCreate鈥濄€?
          姝ｅ湪瀵光€渃mTC_0141a.dir\\Debug\\cmTC_0141a.tlog\\unsuccessfulbuild鈥濇墽琛?Touch 浠诲姟銆?
        ClCompile:
          C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.44.35207\\bin\\HostX64\\x64\\CL.exe /c /Zi /W1 /WX- /diagnostics:column /Od /Ob0 /D _MBCS /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=pthread_create /D "CMAKE_INTDIR=\\"Debug\\"" /Gm- /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /std:c++17 /Fo"cmTC_0141a.dir\\Debug\\\\" /Fd"cmTC_0141a.dir\\Debug\\vc143.pdb" /external:W1 /Gd /TP /errorReport:queue "D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-h18ebw\\CheckFunctionExists.cxx"
          鐢ㄤ簬 x64 鐨?Microsoft (R) C/C++ 浼樺寲缂栬瘧鍣?19.44.35221 鐗?
          鐗堟潈鎵€鏈?C) Microsoft Corporation銆備繚鐣欐墍鏈夋潈鍒┿€?
          cl /c /Zi /W1 /WX- /diagnostics:column /Od /Ob0 /D _MBCS /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=pthread_create /D "CMAKE_INTDIR=\\"Debug\\"" /Gm- /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /std:c++17 /Fo"cmTC_0141a.dir\\Debug\\\\" /Fd"cmTC_0141a.dir\\Debug\\vc143.pdb" /external:W1 /Gd /TP /errorReport:queue "D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-h18ebw\\CheckFunctionExists.cxx"
          CheckFunctionExists.cxx
        Link:
          C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.44.35207\\bin\\HostX64\\x64\\link.exe /ERRORREPORT:QUEUE /OUT:"D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-h18ebw\\Debug\\cmTC_0141a.exe" /INCREMENTAL /ILK:"cmTC_0141a.dir\\Debug\\cmTC_0141a.ilk" /NOLOGO pthread.lib kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-h18ebw/Debug/cmTC_0141a.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/AUTOMFL/WuWei/VTK/Examples/Appendix/FourViews/build/CMakeFiles/CMakeScratch/TryCompile-h18ebw/Debug/cmTC_0141a.lib" /MACHINE:X64  /machine:x64 cmTC_0141a.dir\\Debug\\CheckFunctionExists.obj
        LINK : fatal error LNK1104: 鏃犳硶鎵撳紑鏂囦欢鈥減thread.lib鈥?[D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-h18ebw\\cmTC_0141a.vcxproj]
        宸插畬鎴愮敓鎴愰」鐩€淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-h18ebw\\cmTC_0141a.vcxproj鈥?榛樿鐩爣)鐨勬搷浣?- 澶辫触銆?
        
        鐢熸垚澶辫触銆?
        
        鈥淒:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-h18ebw\\cmTC_0141a.vcxproj鈥?榛樿鐩爣) (1) ->
        (Link 鐩爣) -> 
          LINK : fatal error LNK1104: 鏃犳硶鎵撳紑鏂囦欢鈥減thread.lib鈥?[D:\\AUTOMFL\\WuWei\\VTK\\Examples\\Appendix\\FourViews\\build\\CMakeFiles\\CMakeScratch\\TryCompile-h18ebw\\cmTC_0141a.vcxproj]
        
            0 涓鍛?
            1 涓敊璇?
        
        宸茬敤鏃堕棿 00:00:00.45
        
      exitCode: 1
...
